Subject: Re: [PATCH v1 net-next 3/8] rtnetlink: Add peer_type in struct rtnl_link_ops.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Nov 2024 17:04:47 -0800

On Tue, 5 Nov 2024 16:58:25 -0800 Kuniyuki Iwashima wrote:
> > > I guess compiler will warn if someone tries to use < 255  
> > 
> > I chose 1 just because all of the three peer attr types were 1.  
> 
> s/chose 1/chose u8/ :)
> 
> 
> > Should peer_type be u16 or extend when a future device use >255 for
> > peer ifla ?

I think we can extend in the future if you're doing this for packing
reasons. Barely any family has more attrs than 256 and as I replied to
myself we will assign a constant so compiler will warn us.